Bug 21182 - acqui/check_duplicate_barcode_ajax.pl is not longer in use
Summary: acqui/check_duplicate_barcode_ajax.pl is not longer in use
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 6963 7178
Blocks: 21183
  Show dependency treegraph
 
Reported: 2018-08-08 17:57 UTC by Jonathan Druart
Modified: 2018-09-21 14:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21182: Remove acqui/check_duplicate_barcode_ajax.pl (2.62 KB, patch)
2018-08-08 17:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21182: Remove acqui/check_duplicate_barcode_ajax.pl (2.68 KB, patch)
2018-08-09 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-08 17:57:06 UTC
It has been added by
  commit 327be442bd6e63e5ff8c0a5e2461ae836e8deffb
  Bug 6963: Corrects a problem when a new order is created with a duplicate barcode.

But its last call removed since:
  commit eefc774e274ce8167f1063be5f9204a0d5cf5650
  Bug 7178: Acquisition item creation improvement
Comment 1 Jonathan Druart 2018-08-08 17:58:53 UTC
Created attachment 77583 [details] [review]
Bug 21182: Remove acqui/check_duplicate_barcode_ajax.pl

It has been added by
  commit 327be442bd6e63e5ff8c0a5e2461ae836e8deffb
  Bug 6963: Corrects a problem when a new order is created with a duplicate barcode.

But its last call removed since:
  commit eefc774e274ce8167f1063be5f9204a0d5cf5650
  Bug 7178: Acquisition item creation improvement

Test plan:
  git grep check_duplicate_barcode
should not return anything
Comment 2 Martin Renvoize 2018-08-09 15:11:05 UTC
Created attachment 77629 [details] [review]
Bug 21182: Remove acqui/check_duplicate_barcode_ajax.pl

It has been added by
  commit 327be442bd6e63e5ff8c0a5e2461ae836e8deffb
  Bug 6963: Corrects a problem when a new order is created with a duplicate barcode.

But its last call removed since:
  commit eefc774e274ce8167f1063be5f9204a0d5cf5650
  Bug 7178: Acquisition item creation improvement

Test plan:
  git grep check_duplicate_barcode
should not return anything

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-08-09 15:12:17 UTC
Verified I can't find any uses of this at all before the patch and the reasoning is clear from Jonathans comments and the git logs. 

Verified the patch works as expected.

Going straight to Passed QA.
Comment 4 Nick Clemens 2018-08-22 15:02:20 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-24 12:37:30 UTC
Pushed to 18.05.x for 18.05.03.
Comment 6 Fridolin SOMERS 2018-09-21 14:00:56 UTC
I prefer not to push to 17.11.x